org.apache.coyote.http11.upgrade.servlet31

## Interface WebConnection

- All Known Implementing Classes:
    AbstractProcessor, AprProcessor, BioProcessor, NioProcessor

      public interface WebConnection

  The interface used by a `HttpUpgradeHandler` to interact with an upgraded HTTP connection.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` The Servlet 3.1 interface extends AutoCloseable but that is not available in Java 6 so this is the single method from that interface.
    `AbstractServletInputStream` | `getInputStream()` Provides access to the `AbstractServletInputStream` for reading data from the client.
    `AbstractServletOutputStream` | `getOutputStream()` Provides access to the `AbstractServletOutputStream` for writing data to the client.

- - ### Method Detail

    - #### getInputStream

          AbstractServletInputStream getInputStream()
                                                    throws IOException

      Provides access to the `AbstractServletInputStream` for reading data from the client.
      Throws:
        `IOException`

    - #### getOutputStream

          AbstractServletOutputStream getOutputStream()
                                                      throws IOException

      Provides access to the `AbstractServletOutputStream` for writing data to the client.
      Throws:
        `IOException`

    - #### close

          void close()
                     throws Exception

      The Servlet 3.1 interface extends AutoCloseable but that is not available in Java 6 so this is the single method from that interface.
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.